package com.endeavour.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.endeavour.model.Usuario;

public class UsuarioDAO {
	private Connection con;

	public UsuarioDAO() throws SQLException {
		this.con = ConnectionFactory.getConnection();
	}

	

	

	public Usuario getUsuario(String email) throws SQLException {

		String sql = "select * from Usuarios where email = ? ";
		PreparedStatement stmt = this.con.prepareStatement(sql);
		stmt.setString(1, email);

		ResultSet rs = stmt.executeQuery();

		rs.next();
		Usuario usuario = new Usuario(rs.getString("nome"),rs.getString("sobrenome"), rs.getString("email"), rs.getString("senha"), rs.getInt("pontuacao"), null);
		
		
		rs.close();
		stmt.close();

		return usuario;
	}
	
	public void atualiza(Usuario usuario) throws SQLException {
		// prepared statement para atualizacao

		String sql = "update Usuarios set nome=?, sobrenome=?, email=?, pontuacao=? where codusuario=?";
		PreparedStatement stmt = con.prepareStatement(sql);

		// seta os valores
		stmt.setString(1, usuario.getNome());
		stmt.setString(2, usuario.getSobrenome());
		stmt.setString(3, usuario.getEmail());
		stmt.setInt(4, usuario.getPontuacao());
		stmt.setInt(5, usuario.getCodUsuario());

		// executa
		stmt.execute();
		stmt.close();
	}

}
